### Method

# FwupdPlugin Firmware parse

since: 1.3.1

#### Declaration [src]

    gboolean
    fu_firmware_parse (
      FuFirmware* self,
      GBytes* fw,
      FwupdInstallFlags flags,
      GError** error
    )

#### Description [src]

Parses a firmware, typically breaking the firmware into images.

Available since: 1.3.1

#### Parameters

`fw`

  Type: `GBytes`

  Firmware blob.

  The data is owned by the caller of the method.

`flags`

  Type: `FwupdInstallFlags`

  Install flags, e.g. `FWUPD_INSTALL_FLAG_FORCE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.